[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TGetResult

result of the GetRecord operation.

## Declaration

Source position: db.pas line 1275

`type TGetResult = (`
`grOK,` |  | The operation was completed succesfully
`grBOF,` |  | The beginning of the recordset is reached
`grEOF,` |  | The end of the recordset is reached.
`grError` |  | An error occurred
`);`

## Description

TGetResult is used by descendents of TDataset when they have to communicate the result of the GetRecord operation back to the TDataset record.

## See also

TGetMode |  | Get new buffer mode

Documentation generated on: Feb 26 2014